=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2008-12-10 02:09:33 +0000
+++ drizzled/Makefile.am	2008-12-10 03:04:03 +0000
@@ -184,7 +184,6 @@
 drizzled_LDFLAGS =
 
 noinst_HEADERS = \
-		common_includes.h \
 		gettext.h \
 		global.h \
 		server_includes.h

=== removed file 'drizzled/common_includes.h'
--- drizzled/common_includes.h	2008-12-10 02:09:33 +0000
+++ drizzled/common_includes.h	1970-01-01 00:00:00 +0000
@@ -1,70 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-/**
- * @file
- *
- * Contains #includes and definitions that apply to ALL server-related
- * executables, including storage engine plugins.
- *
- * @details
- *
- * Previously, the mysql_priv.h file contained a number of conditional
- * #ifdef DRIZZLE_SERVER blocks which made it very difficult to determine
- * which headers and definitions were actually necessary for plugins to
- * include.  The file, and NOT mysql_priv.h, should now be the main included
- * header for storage engine plugins, as it contains all definitions and
- * declarations needed by the plugin and nothing more.
- */
-#ifndef DRIZZLE_SERVER_COMMON_INCLUDES_H
-#define DRIZZLE_SERVER_COMMON_INCLUDES_H
-
-
-/* Cross-platform portability code and standard includes */
-#include <drizzled/global.h>
-/* Contains system-wide constants and #defines */
-#include <drizzled/definitions.h>
-/* System-wide common data structures */
-#include <drizzled/structs.h>
-
-/* Lots of system-wide struct definitions like IO_CACHE,
-   prototypes for all my_* functions */
-#include <mysys/my_sys.h>
-/* Custom C string functions */
-#include <mystrings/m_string.h>
-/* Defines for the storage engine handler -- i.e. HA_XXX defines */
-/* Needed by field.h */
-#include <drizzled/base.h>
-
-/* The <strong>INTERNAL</strong> plugin API - not the external, or public, server plugin API */
-#include <drizzled/sql_plugin.h>
-
-
-
-/**
- * @TODO Move the following into a drizzled.h header?
- *
- * I feel that global variables and functions referencing them directly
- * and that are used only in the server should be separated out into
- * a drizzled.h header file -- JRP
- */
-extern const CHARSET_INFO *system_charset_info, *files_charset_info ;
-extern const CHARSET_INFO *national_charset_info, *table_alias_charset;
-
-#endif /* DRIZZLE_SERVER_COMMON_INCLUDES_H */

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2008-12-10 02:09:33 +0000
+++ drizzled/server_includes.h	2008-12-10 03:04:03 +0000
@@ -30,11 +30,24 @@
 #ifndef DRIZZLED_SERVER_INCLUDES_H
 #define DRIZZLED_SERVER_INCLUDES_H
 
-/**
- * Contains all headers, definitions, and declarations common to
- * the server and the plugin infrastructure, and not the client
- */
-#include <drizzled/common_includes.h>
+/* Cross-platform portability code and standard includes */
+#include <drizzled/global.h>
+/* Contains system-wide constants and #defines */
+#include <drizzled/definitions.h>
+/* System-wide common data structures */
+#include <drizzled/structs.h>
+/* Defines for the storage engine handler -- i.e. HA_XXX defines */
+/* Needed by field.h */
+#include <drizzled/base.h>
+
+/* Lots of system-wide struct definitions like IO_CACHE,
+   prototypes for all my_* functions */
+#include <mysys/my_sys.h>
+/* Custom C string functions */
+#include <mystrings/m_string.h>
+
+/* The <strong>INTERNAL</strong> plugin API - not the external, or public, server plugin API */
+#include <drizzled/sql_plugin.h>
 /* Range optimization API/library */
 #include <drizzled/opt_range.h>
 /* Simple error injection (crash) module */
@@ -49,6 +62,8 @@
 #include <bitset>
 
 
+extern const CHARSET_INFO *system_charset_info, *files_charset_info ;
+extern const CHARSET_INFO *national_charset_info, *table_alias_charset;
 
 typedef class st_select_lex SELECT_LEX;
 typedef struct st_mysql_lock DRIZZLE_LOCK;

=== modified file 'plugin/compress/compressudf.cc'
--- plugin/compress/compressudf.cc	2008-12-10 02:09:33 +0000
+++ plugin/compress/compressudf.cc	2008-12-10 03:04:03 +0000
@@ -13,7 +13,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/sql_udf.h>
 #include <drizzled/item/func.h>
 #include <drizzled/item/strfunc.h>

=== modified file 'plugin/crc32/crc32udf.cc'
--- plugin/crc32/crc32udf.cc	2008-11-18 22:12:56 +0000
+++ plugin/crc32/crc32udf.cc	2008-12-10 03:04:03 +0000
@@ -17,7 +17,7 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/sql_udf.h>
 #include <drizzled/item/func.h>
 #include <zlib.h>

=== modified file 'plugin/hello_world/hello_world.cc'
--- plugin/hello_world/hello_world.cc	2008-11-18 22:12:56 +0000
+++ plugin/hello_world/hello_world.cc	2008-12-10 03:04:03 +0000
@@ -17,7 +17,7 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/sql_udf.h>
 #include <drizzled/item/func.h>
 #include <drizzled/item/strfunc.h>

=== modified file 'plugin/md5/md5udf.cc'
--- plugin/md5/md5udf.cc	2008-11-18 22:12:56 +0000
+++ plugin/md5/md5udf.cc	2008-12-10 03:04:03 +0000
@@ -13,7 +13,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/sql_udf.h>
 #include <drizzled/item/func.h>
 #include <drizzled/item/strfunc.h>

=== modified file 'plugin/uncompressed_length/uncompressed_length.cc'
--- plugin/uncompressed_length/uncompressed_length.cc	2008-11-18 22:12:56 +0000
+++ plugin/uncompressed_length/uncompressed_length.cc	2008-12-10 03:04:03 +0000
@@ -13,7 +13,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/sql_udf.h>
 #include <drizzled/functions/int.h>
 

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-12-09 00:42:04 +0000
+++ storage/archive/ha_archive.cc	2008-12-10 03:04:03 +0000
@@ -14,7 +14,7 @@
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/field.h>
 #include <drizzled/field/blob.h>
 #include <drizzled/field/timestamp.h>

=== modified file 'storage/blackhole/ha_blackhole.cc'
--- storage/blackhole/ha_blackhole.cc	2008-12-07 22:57:38 +0000
+++ storage/blackhole/ha_blackhole.cc	2008-12-10 03:04:03 +0000
@@ -13,7 +13,7 @@
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/table.h>
 #include "ha_blackhole.h"
 

=== modified file 'storage/csv/ha_tina.cc'
--- storage/csv/ha_tina.cc	2008-12-09 00:42:04 +0000
+++ storage/csv/ha_tina.cc	2008-12-10 03:04:03 +0000
@@ -40,7 +40,7 @@
 
  -Brian
 */
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/field.h>
 #include <drizzled/field/blob.h>
 #include <drizzled/field/timestamp.h>

=== modified file 'storage/csv/transparent_file.cc'
--- storage/csv/transparent_file.cc	2008-12-08 10:34:49 +0000
+++ storage/csv/transparent_file.cc	2008-12-10 03:04:03 +0000
@@ -14,7 +14,7 @@
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include "transparent_file.h"
 
 Transparent_file::Transparent_file() : lower_bound(0), buff_size(IO_SIZE)

=== modified file 'storage/innobase/drizzle/ha_innodb.cc'
--- storage/innobase/drizzle/ha_innodb.cc	2008-12-10 02:09:33 +0000
+++ storage/innobase/drizzle/ha_innodb.cc	2008-12-10 03:04:03 +0000
@@ -21,7 +21,7 @@
     in Windows?
 */
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/error.h>
 #include <mystrings/m_ctype.h>
 #include <mysys/my_sys.h>

=== modified file 'storage/innobase/drizzle/handler0alter.cc'
--- storage/innobase/drizzle/handler0alter.cc	2008-12-03 09:16:12 +0000
+++ storage/innobase/drizzle/handler0alter.cc	2008-12-10 03:04:03 +0000
@@ -4,7 +4,7 @@
 (c) 2005-2008 Innobase Oy
 *******************************************************/
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/error.h>
 #include <mystrings/m_ctype.h>
 #include <drizzled/field.h>

=== modified file 'storage/innobase/drizzle/i_s.cc'
--- storage/innobase/drizzle/i_s.cc	2008-12-03 09:16:12 +0000
+++ storage/innobase/drizzle/i_s.cc	2008-12-10 03:04:03 +0000
@@ -6,7 +6,7 @@
 Created July 18, 2007 Vasil Dimov
 *******************************************************/
 
-#include <drizzled/common_includes.h>
+#include <drizzled/server_includes.h>
 #include <drizzled/error.h>
 #include <mystrings/m_ctype.h>
 #include <mysys/my_sys.h>

=== modified file 'storage/innobase/drizzle/mysql_addons.cc'
--- storage/innobase/drizzle/mysql_addons.cc	2008-12-03 10:43:40 +0000
+++ storage/innobase/drizzle/mysql_addons.cc	2008-12-10 03:04:03 +0000
@@ -19,12 +19,7 @@
 #define MYSQL_SERVER
 #endif /* MYSQL_SERVER */
 
-#if defined(BUILD_DRIZZLE)
-# include <drizzled/global.h>
-# include <drizzled/common_includes.h>
-#else
-# include <mysql_priv.h>
-#endif
+#include <drizzled/server_includes.h>
 
 #include "mysql_addons.h"
 #include "univ.i"

